aboutsummaryrefslogtreecommitdiffstats
path: root/build-root/bootstrap.sh
diff options
context:
space:
mode:
authorDave Barach <dave@barachs.net>2018-03-13 12:54:43 -0400
committerDamjan Marion <dmarion.lists@gmail.com>2018-03-14 19:06:16 +0000
commit5a72e425f9c2d5ca049fd05cd280c4bff5f73d57 (patch)
tree866875c0f6f0fb0899dc5111600288c48f84c72a /build-root/bootstrap.sh
parent1ac36d74210069d574e00e110dae398cae5130a6 (diff)
Clean up vpp build bootstrap step
Net of rewriting vppapigen in python-ply, there's no need to compile vppinfra. Install a copy of vppapigen in .../build-root/tools/bin, so the sample plugin build will work. Rationalize suffix-rules.mk. Add clang, clang++ links to .../build-root/ccache-bin. Change-Id: Ib4017848b7767b6054238ea544ee5319667c3659 Signed-off-by: Dave Barach <dave@barachs.net>
Diffstat (limited to 'build-root/bootstrap.sh')
-rwxr-xr-xbuild-root/bootstrap.sh26
1 files changed, 10 insertions, 16 deletions
diff --git a/build-root/bootstrap.sh b/build-root/bootstrap.sh
index 3f71cefe2e8..c3b355b4f8c 100755
--- a/build-root/bootstrap.sh
+++ b/build-root/bootstrap.sh
@@ -38,28 +38,22 @@ EOF
# regenerate tools/ccache-bin
rm -rf tools/ccache-bin
-mkdir -p tools/ccache-bin
+mkdir -p tools/ccache-bin tools/bin
if [ ! -f /usr/bin/ccache ] ; then
- echo Please install ccache AYEC and re-run this script
+ echo CCACHE is required. Please install it!
+ exit 1
fi
cd tools/ccache-bin
-for c in gcc g++
- do
- if [ -f /usr/bin/ccache ] ; then
- ln -s /usr/bin/ccache $c
- else
- ln -s /usr/bin/gcc
- fi
+for c in gcc g++ clang clang++
+do
+ ln -s /usr/bin/ccache $c
done
-
-cd $wsroot
+cd ../
+ln -s $wsroot/src/tools/vppapigen/vppapigen \
+ $build_root/tools/bin/vppapigen
cd $build_root
-echo Compile native tools
-for tool in tools
-do
- make V=0 is_build_tool=yes $tool-install
-done
+exit 0